unit UDM;

interface

uses
  SysUtils, Classes, WideStrings, DBXFirebird, DB, DBClient, SimpleDS, SqlExpr;

type
  TDM = class(TDataModule)
    SQLConnection: TSQLConnection;
    SDSResponsavel: TSimpleDataSet;
    DSResponsavel: TDataSource;
    DSReceita: TDataSource;
    SDSReceita: TSimpleDataSet;
    DSIngrediente: TDataSource;
    SDSIngrediente: TSimpleDataSet;
    DSGeral: TDataSource;
    SDSGeral: TSimpleDataSet;
    procedure SDSResponsavelAfterDelete(DataSet: TDataSet);
    procedure SDSResponsavelAfterPost(DataSet: TDataSet);
    procedure SDSReceitaAfterPost(DataSet: TDataSet);
    procedure SDSReceitaAfterDelete(DataSet: TDataSet);
    procedure SDSIngredienteAfterDelete(DataSet: TDataSet);
    procedure SDSIngredienteAfterPost(DataSet: TDataSet);
    procedure SDSGeralAfterPost(DataSet: TDataSet);
    procedure SDSGeralAfterDelete(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

{$R *.dfm}

procedure TDM.SDSGeralAfterDelete(DataSet: TDataSet);
begin
  SDSGeral.ApplyUpdates(0);
end;

procedure TDM.SDSGeralAfterPost(DataSet: TDataSet);
begin
  SDSGeral.ApplyUpdates(0);
end;

procedure TDM.SDSIngredienteAfterDelete(DataSet: TDataSet);
begin
  SDSIngrediente.ApplyUpdates(0);
end;

procedure TDM.SDSIngredienteAfterPost(DataSet: TDataSet);
begin
  SDSIngrediente.ApplyUpdates(0);
end;

procedure TDM.SDSReceitaAfterDelete(DataSet: TDataSet);
begin
  SDSReceita.ApplyUpdates(0);
end;

procedure TDM.SDSReceitaAfterPost(DataSet: TDataSet);
begin
  SDSReceita.ApplyUpdates(0);
end;

procedure TDM.SDSResponsavelAfterDelete(DataSet: TDataSet);
begin
  SDSResponsavel.ApplyUpdates(0);
end;

procedure TDM.SDSResponsavelAfterPost(DataSet: TDataSet);
begin
  SDSResponsavel.ApplyUpdates(0);
end;

end.
