// ************************************************************************ //
// The types declared in this file were generated from data read from the
// WSDL File described below:
// WSDL     : http://localhost/wsArq/wsArq.exe/wsdl/IServiceArq
//  >Import : http://localhost/wsArq/wsArq.exe/wsdl/IServiceArq>0
// Version  : 1.0
// (03-04-2010 21:54:01 - - $Rev: 25127 $)
// ************************************************************************ //

unit IServiceArq1;

interface

uses InvokeRegistry, SOAPHTTPClient, Types, XSBuiltIns;

type

  // ************************************************************************ //
  // The following types, referred to in the WSDL document are not being represented
  // in this file. They are either aliases[@] of other types represented or were referred
  // to but never[!] declared in the document. The types from the latter category
  // typically map to predefined/known XML or Embarcadero types; however, they could also 
  // indicate incorrect WSDL documents that failed to declare or import a schema type.
  // ************************************************************************ //
  // !:string          - "http://www.w3.org/2001/XMLSchema"[Gbl]
  // !:TSOAPAttachment - "http://www.borland.com/namespaces/Types"[]
  // !:boolean         - "http://www.w3.org/2001/XMLSchema"[]

  ArrayofString = array of string;              { "urn:ServiceArqIntf"[GblCplx] }

  // ************************************************************************ //
  // Namespace : urn:ServiceArqIntf-IServiceArq
  // soapAction: urn:ServiceArqIntf-IServiceArq#%operationName%
  // transport : http://schemas.xmlsoap.org/soap/http
  // style     : rpc
  // binding   : IServiceArqbinding
  // service   : IServiceArqservice
  // port      : IServiceArqPort
  // URL       : http://localhost/wsArq/wsArq.exe/soap/IServiceArq
  // ************************************************************************ //
  IServiceArq = interface(IInvokable)
  ['{E3BB42C2-BE6B-4459-8B09-27DADFC3AFAA}']
    function  getArquivo(const ANome: string): TSOAPAttachment; stdcall;
    function  EnviaArquivo(const ANome: string; const AArquivo: TSOAPAttachment): Boolean; stdcall;
    function  getListaArquivos: ArrayofString; stdcall;
  end;

function GetIServiceArq(UseWSDL: Boolean=System.False; Addr: string=''; HTTPRIO: THTTPRIO = nil): IServiceArq;


implementation
  uses SysUtils;

function GetIServiceArq(UseWSDL: Boolean; Addr: string; HTTPRIO: THTTPRIO): IServiceArq;
const
  defWSDL = 'http://localhost/wsArq/wsArq.exe/wsdl/IServiceArq';
  defURL  = 'http://localhost/wsArq/wsArq.exe/soap/IServiceArq';
  defSvc  = 'IServiceArqservice';
  defPrt  = 'IServiceArqPort';
var
  RIO: THTTPRIO;
begin
  Result := nil;
  if (Addr = '') then
  begin
    if UseWSDL then
      Addr := defWSDL
    else
      Addr := defURL;
  end;
  if HTTPRIO = nil then
    RIO := THTTPRIO.Create(nil)
  else
    RIO := HTTPRIO;
  try
    Result := (RIO as IServiceArq);
    if UseWSDL then
    begin
      RIO.WSDLLocation := Addr;
      RIO.Service := defSvc;
      RIO.Port := defPrt;
    end else
      RIO.URL := Addr;
  finally
    if (Result = nil) and (HTTPRIO = nil) then
      RIO.Free;
  end;
end;


initialization
  InvRegistry.RegisterInterface(TypeInfo(IServiceArq), 'urn:ServiceArqIntf-IServiceArq', '');
  InvRegistry.RegisterDefaultSOAPAction(TypeInfo(IServiceArq), 'urn:ServiceArqIntf-IServiceArq#%operationName%');
  RemClassRegistry.RegisterXSInfo(TypeInfo(ArrayofString), 'urn:ServiceArqIntf', 'ArrayofString');

end.