unit uMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,IServiceArq1, InvokeRegistry, Rio, SOAPHTTPClient;

type
  TForm1 = class(TForm)
    pnl1: TPanel;
    edtArq: TEdit;
    lbl1: TLabel;
    btn1: TButton;
    gbx1: TGroupBox;
    pnl2: TPanel;
    btn2: TButton;
    SaveDialog: TSaveDialog;
    HTTPRIO: THTTPRIO;
    lstArq: TListBox;
    btn3: TButton;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure btn3Click(Sender: TObject);
  private
    { Private declarations }
    Function Servico : IServiceArq;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btn1Click(Sender: TObject);
var
  data: TSOAPAttachment;
begin
  If SaveDialog.Execute() Then
  Begin
    Try
      data := TSOAPAttachment.Create;
      data.SetSourceFile(SaveDialog.FileName);
      If Servico.EnviaArquivo(ExtractFileName(SaveDialog.FileName),data) Then
      Begin
        ShowMessage('Arquivo enviado com sucesso!');
      End;
    Finally
      FreeAndNil(data);
    End;
  End;
end;

procedure TForm1.btn2Click(Sender: TObject);
Var
  vArquivos : ArrayofString;
  i, iTam : Integer;
begin
  lstArq.Items.Clear;
  vArquivos := Servico.getListaArquivos;
  iTam := Length(vArquivos)-1;
  for i  := 0 to iTam Do
  Begin
    lstArq.Items.Add(vArquivos[i]);
  End;
end;

procedure TForm1.btn3Click(Sender: TObject);
Var
  data: TSOAPAttachment;
  Arquivo : String;
begin
  If lstArq.ItemIndex = -1 Then
  Begin
    ShowMessage('Selecione o arquivo para download na lista abaixo.');
  End
  Else
  Begin
    Arquivo := lstArq.Items.Strings[lstArq.ItemIndex];
    data := Servico.getArquivo(Arquivo);
    SaveDialog.FileName := Arquivo;
    if SaveDialog.Execute then
    Begin
      data.SaveToFile(SaveDialog.FileName);
      ShowMessage('Arquivo salvo com sucesso!');
    End;
  End;
end;

function TForm1.Servico: IServiceArq;
begin
  Result := (HTTPRIO as IServiceArq);
end;

end.
