{ Invokable interface IServiceArq }

unit ServiceArqIntf;

interface

uses InvokeRegistry, Types, XSBuiltIns;

type
  ArrayofString     = array of string;

  { Invokable interfaces must derive from IInvokable }
  IServiceArq = interface(IInvokable)
  ['{A26D9DF3-3D0B-43C7-876E-DE130916CF59}']
    function getArquivo(const ANome: WideString):TSOAPAttachment; stdcall;
    function EnviaArquivo(const ANome: WideString;const AArquivo:TSOAPAttachment):boolean; stdcall;
    function getListaArquivos : ArrayofString; stdcall;
  end;

implementation

initialization
  { Invokable interfaces must be registered }
  InvRegistry.RegisterInterface(TypeInfo(IServiceArq));

end.
